Skip to main content

Authorization


This section describes how to process a payment authorization.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "TC-Auth-1"  },  "processingInformation": {    "commerceIndicator": "internet"  },  "paymentInformation": {    "card": {     "type": "001",      "number": "4xxxxxxxxxxx1111",      "expirationMonth": "12",      "expirationYear": "2031"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "BRL"    },    "billTo": {      "firstName": "John",      "lastName": "Smith",      "address1": "901 Córdoba Center Blvd",      "address2": "Desk M3-5573",      "locality": "Córdoba",      "administrativeArea": "SP",      "postalCode": "X4404-2322",      "country": "BR",      "email": "[email protected]",      "phoneNumber": "4158880000",      "district": "Bela Vista Æ",      "buildingNumber": "1024 Metrño4"    }  }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/7627756274016220603092/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/7627756274016220603092"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/7627756274016220603092/captures"    }  },  "clientReferenceInformation" : {    "code" : "TC-Auth-1"  },  "id" : "7627756274016220603092",  "orderInformation" : {    "amountDetails" : {      "authorizedAmount" : "100.00",      "currency" : "BRL"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "processorInformation" : {    "approvalCode" : "010012",    "networkTransactionId" : "999010012",    "transactionId" : "72b2900a9f316142b627a21031b48b0c259f08ffba0004172a04450c5d212345",    "responseCode" : "00003",    "avs" : {      "code" : "2"    }  },  "reconciliationId" : "7627756274016220603092",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2025-11-10T11:53:47Z"}
FieldTypeDescription
clientReferenceInformation.code
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
processingInformation.commerceIndicator
Optional Fields
FieldTypeDescription
orderInformation.billTo.address2
orderInformation.billTo.administrativeArea
orderInformation.billTo.buildingNumber
orderInformation.billTo.country
orderInformation.billTo.district
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode

Last published: September 29, 2026